apiVersion: container.kind.crossplane.io/v1alpha1
kind: KindCluster
metadata:
  name: argo-app-test
spec:
  forProvider:
    kindConfig: |
      kind: Cluster
      apiVersion: kind.x-k8s.io/v1alpha4
      nodes:
      - role: control-plane
        kubeadmConfigPatches:
        - |
          kind: InitConfiguration
          nodeRegistration:
            kubeletExtraArgs:
              node-labels: "ingress-ready=true"
      # TODO: RIRE used maybe for velero backup
      #  extraMounts:
      #    - hostPath: /tmp/backup # replace with your own path
      #      containerPath: /backup
  providerConfigRef:
    name: kind-provider
  writeConnectionSecretToRef:
    namespace: crossplane-system
    name: argo-app-test-kubeconf
